Subject: Re: iSCSI: editorial corrections to Appendix D:SendTargets

From: Mark Bakke <[email-masked]>
Date: Thu, 06 Jun 2002 14:48:52 -0500

Julian Satran wrote:
> 
> the doted thing was removed a long time ago - your text is stale!  - julo

Yep; that's why I want to remove it.

--
Mark

> 
>   Mark Bakke <[email-masked]>
>   Sent by: [email-masked]             To:        "KRUEGER,MARJORIE (HP-Roseville,ex1)"
>                                 <[email-masked]>
>   06/06/2002 07:54 PM                   cc:        Julian Satran/Haifa/IBM@IBMIL, "Ips Reflector
>   Please respond to Mark Bakke  (E-mail)" <[email-masked]>
>                                         Subject:        Re: iSCSI: editorial corrections to
>                                 Appendix D:SendTargets
> 
> 
> 
> Marjorie-
> 
> I agree with your proposed changes.  We should also remove the
> expression:
> 
>   (5 to 16 dotted-decimal numbers)
> 
> >From the IPv6 address note on page 235, since IPv6 addresses are
> no longer expressed in dotted-decimal.
> 
> --
> Mark
> 
> "KRUEGER,MARJORIE (HP-Roseville,ex1)" wrote:
> >
> > Julian,
> > I think there's a sentence in appendix D that needs to be cleaned up from
> > previous edits.
> >
> > "A SendTargets response MUST NOT contain iSCSI default target names." (it's
> > on page 246 of the .pdf) This should be deleted since there are no longer
> > any "iSCSI default target names" (or at least they are not defined).
> >
> > Also, to clarify, I think the paragraph 3 should be modified from:
> >
> >      A system that contains targets MUST support discovery sessions on each
> >      of its IP addresses, and MUST support the SendTargets command on the
> >      discovery session.  A target MUST support the SendTargets command on
> >      operational sessions; these will only return address information
> >      about the target to which the session is connected, and do not return
> >      information about other targets.
> >
> > to the following:
> >
> >      A system that contains targets MUST support discovery sessions on each
> >      of its TCP addresses, and MUST support the SendTargets command on the
> >      discovery session.  A target MUST return all path information (TCP
> >      addresses and portal group tags) for the target in question for
> >      which the requesting initiator is authorized.
> >
> >      A target MUST support the SendTargets command on operational sessions;
> >      these will only return path information about the target to which
> >      the session is connected, and need not return information about other
> >      target names that may be defined in the responding device.
> >
> > This is just an explicit statement of what's implicit in the current
> > appendix.  I corrected "IP address" to "TCP address" cause it's the TCP
> > listening port that must provide the discovery session.
> >
> > Also, on page 234, the paragraph:
> >
> >      After obtaining a list of targets from the discovery target session,
> >      an iSCSI initiator may initiate new sessions to log in to the discov-
> >      ered targets for full operation.  The initiator MAY keep the session
> >      to a default target open, and MAY send subsequently SendTargets com-
> >      mands to discover new targets.
> >
> > Should be changed to
> >
> >      After obtaining a list of targets from the discovery target session,
> >      an iSCSI initiator may initiate new sessions to log in to the discov-
> >      ered targets for full operation.  The initiator MAY keep the discovery
> >      session open, and MAY send subsequently SendTargets commands to
> > discover
> >      new targets.
> >
> > On page 235, the paragraphs:
> >
> >      In the above example, a DNS host name could have been returned instead
> >      of an IP address, and that an IPv6 addresses (5 to 16 dotted-decimal
> >      numbers) could have also been returned.
> >
> >      The next text response shows a target that supports spanning sessions
> >      across multiple addresses, which indicates the use of the portal group
> >      tags:
> >
> > Should be
> >
> >      In the above example, a DNS host name or an IPv6 address (5 to 16
> >      dotted-decimal numbers) could have been returned instead
> >      of an IPv4 address.
> >
> >      The next text response shows a target that supports spanning sessions
> >      across multiple addresses, and illustrates further the use of the
> > portal
> >      group tags:
> >
> > Thanks,
> > Marjorie
> 
> --
> Mark A. Bakke
> Cisco Systems
> [email-masked]
> 763.398.1054

-- 
Mark A. Bakke
Cisco Systems
[email-masked]
763.398.1054

---

From: "Julian Satran" <[email-masked]>
Date: Thu, 6 Jun 2002 22:04:12 +0300

Mark Bakke <[email-masked]>
Sent by: [email-masked]
06/06/2002 07:54 PM
Please respond to Mark Bakke

        To:     "KRUEGER,MARJORIE (HP-Roseville,ex1)" <[email-masked]>
        cc:     Julian Satran/Haifa/IBM@IBMIL, "Ips Reflector (E-mail)" <[email-masked]>
        Subject:        Re: iSCSI: editorial corrections to Appendix D:SendTargets

Marjorie-

--
Mark

-- 
Mark A. Bakke
Cisco Systems
[email-masked]
763.398.1054